Skip to main content
PATCH
/
companies
/
{id}
Update a company
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/companies/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "company": {
    "name": "Eve Corp",
    "address": "123 Main St, New York, NY",
    "tag_ids": [
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ]
  }
}
'
{
  "company": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve Corp",
    "address": "123 Main St, New York, NY",
    "source": null,
    "tags": [],
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z"
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the company to update. You can get the company id by listing all companies using our List all companies API.

Body

application/json
company
object

Response

200 - application/json

Company updated successfully.

company
object